com.amazonaws.services.machinelearning.model

## Class DeleteTagsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.DeleteTagsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DeleteTagsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DeleteTagsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteTagsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getResourceId()` The ID of the tagged ML object.
`String` `getResourceType()` The type of the tagged ML object.
`List<String>` `getTagKeys()` One or more tags to delete.
`int` `hashCode()`
`void` `setResourceId(String resourceId)` The ID of the tagged ML object.
`void` `setResourceType(String resourceType)` The type of the tagged ML object.
`void` `setResourceType(TaggableResourceType resourceType)` The type of the tagged ML object.
`void` `setTagKeys(Collection<String> tagKeys)` One or more tags to delete.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteTagsRequest` `withResourceId(String resourceId)` The ID of the tagged ML object.
`DeleteTagsRequest` `withResourceType(String resourceType)` The type of the tagged ML object.
`DeleteTagsRequest` `withResourceType(TaggableResourceType resourceType)` The type of the tagged ML object.
`DeleteTagsRequest` `withTagKeys(Collection<String> tagKeys)` One or more tags to delete.
`DeleteTagsRequest` `withTagKeys(String... tagKeys)` One or more tags to delete.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteTagsRequest

    public DeleteTagsRequest()

### Method Detail

#### getTagKeys

    public List<String> getTagKeys()

One or more tags to delete.

Returns:
  One or more tags to delete.

#### setTagKeys

    public void setTagKeys(Collection<String> tagKeys)

One or more tags to delete.

Parameters:
  `tagKeys` - One or more tags to delete.

#### withTagKeys

    public DeleteTagsRequest withTagKeys(String... tagKeys)

One or more tags to delete.

NOTE: This method appends the values to the existing list (if any). Use `setTagKeys(java.util.Collection)` or `withTagKeys(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagKeys` - One or more tags to delete.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagKeys

    public DeleteTagsRequest withTagKeys(Collection<String> tagKeys)

One or more tags to delete.

Parameters:
  `tagKeys` - One or more tags to delete.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceId

    public void setResourceId(String resourceId)

The ID of the tagged ML object. For example, `exampleModelId`.

Parameters:
  `resourceId` - The ID of the tagged ML object. For example, `exampleModelId`.

#### getResourceId

    public String getResourceId()

The ID of the tagged ML object. For example, `exampleModelId`.

Returns:
  The ID of the tagged ML object. For example, `exampleModelId`.

#### withResourceId

    public DeleteTagsRequest withResourceId(String resourceId)

The ID of the tagged ML object. For example, `exampleModelId`.

Parameters:
  `resourceId` - The ID of the tagged ML object. For example, `exampleModelId`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceType

    public void setResourceType(String resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
See Also:
  `TaggableResourceType`

#### getResourceType

    public String getResourceType()

The type of the tagged ML object.

Returns:
  The type of the tagged ML object.
See Also:
  `TaggableResourceType`

#### withResourceType

    public DeleteTagsRequest withResourceType(String resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### setResourceType

    public void setResourceType(TaggableResourceType resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
See Also:
  `TaggableResourceType`

#### withResourceType

    public DeleteTagsRequest withResourceType(TaggableResourceType resourceType)

The type of the tagged ML object.

Parameters:
  `resourceType` - The type of the tagged ML object.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `TaggableResourceType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteTagsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`